Bug 28909 - NIS broadcast doesn4t work with medium firewall setting
NIS broadcast doesn4t work with medium firewall setting
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-02-22 14:41 EST by Bernd Bartmann
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-22 14:42:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bernd Bartmann 2001-02-22 14:41:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [de] (X11; U; Linux 2.2.16-22bb02 i686)

During installation I have choosen the medium firewall setting, set my NIS
domain and clicked on Use Broadcast to find NIS server. When the installed
system starts up it can't find a NIS server due to the default blocking
rules in the firewall setting

Reproducible: Always
Steps to Reproduce:
1. Medium Firewall setting
2. Use broadcast to find NIS server
Comment 1 Bill Nottingham 2001-02-22 18:08:50 EST
Yes. It's really not feasible to let RPC-based services through the firewall.
Comment 2 Bernd Bartmann 2001-02-23 07:16:06 EST
I agree with your statement but when the firewall is setup this way you should
not be able to select NIS or you should get a short message telling you the
Comment 3 Erik Jacobson 2003-06-19 22:50:03 EDT
We've hit this bug internally a couple times with AS 2.1 ia64.

In fact, if you combine the two together, you run in to a bug I filed under
97710 where a user can't log in even as root in multi-user if NIS is set to
broadcast binding and the default firewall is set up.

I respectfully ask that someone take another look and re-consider.  I suggest
making it so "broadcast" isn't an available option when medium or high
firewall is selected and apply this to the next Enterprise Linux and Linux

I'm not sure what the protocol here is so I won't re-open this moment in case
that's considered rude.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.